org.apache.struts2.portlet.servlet

## Class PortletServletOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - org.apache.struts2.portlet.servlet.PortletServletOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class PortletServletOutputStream
      extends javax.servlet.ServletOutputStream

  Wrapper object exposing a `OutputStream` from a portlet as a `ServletOutputStream` instance. Clients accessing this stream object will in fact operate on the `OutputStream` object wrapped by this stream object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletServletOutputStream(OutputStream portletOutputStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `OutputStream` | `getOutputStream()` Get the wrapped `OutputStream` instance.
    `boolean` | `isReady()`
    `void` | `setWriteListener(javax.servlet.WriteListener writeListener)`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int ch)`

    - ### Methods inherited from class javax.servlet.ServletOutputStream

      `print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortletServletOutputStream

          public PortletServletOutputStream(OutputStream portletOutputStream)

  - ### Method Detail

    - #### write

          public void write(int ch)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### getOutputStream

          public OutputStream getOutputStream()

      Get the wrapped `OutputStream` instance.
      Returns:
        The wrapped `OutputStream` instance.

    - #### isReady

          public boolean isReady()

      Specified by:
        `isReady` in class `javax.servlet.ServletOutputStream`

    - #### setWriteListener

          public void setWriteListener(javax.servlet.WriteListener writeListener)

      Specified by:
        `setWriteListener` in class `javax.servlet.ServletOutputStream`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.